version: '3.7'

services:
  fpm:
    container_name: php_nginx-fpm
    build:
      context: ./
      dockerfile: Dockerfile-php
    volumes:
      - ./php-development.ini:/usr/local/etc/php/php.ini
      - ./data:/usr/share/nginx/html
    networks:
      - php_nginx_network

  nginx:
    container_name: php_nginx-nginx
    image: nginx:alpine
    depends_on:
      - fpm
    ports:
      - 3000:80
    volumes:
      - ./nginx.conf:/etc/nginx/conf.d/default.conf
      - ./data:/usr/share/nginx/html
    networks:
      - php_nginx_network

networks:
  php-nginx_network:
    name: php_nginx_network
